com.ihr.xbrl.om

## Interface XBRLProcessorFactory

- All Known Implementing Classes:
    AutoFillProcessorFactory, EFMProcessorFactory, ExtensibleEnumerationsProcessorFactory, RenderHintsProcessorFactory, UTRProcessorFactory, XBRLAppPropsProcessorFactory, XBRLCoreProcessorFactory, XBRLFormulaProcessorFactory, XBRLProcessorFactoryBase, XBRLTableProcessorFactory, XDTProcessorFactory

      public interface XBRLProcessorFactory

  Interface for XBRL processors factories. This is, a class able to create an XBRL Processor registered under one specific processor name.

  There is an abstract class called `XBRLProcessorFactoryBase` that implements most of this interface.

  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLPlugInProcessor` | `create()` Creates a new instance of the processor or gets the registered instance from the DTSContainer.
    `java.lang.String` | `getProcessorDescription()` Returns the processor description for the processor name.
    `java.lang.String` | `getProcessorName()` Returns the processor name this factory class is able to create processor for.
    `void` | `setDTSContainer(DTSContainer dtsContainer)` Once a new factory is instantiated, the DTSContainer class calls this method in order to provide the DTSContainer instance to be used for next calls.

- - ### Method Detail

    - #### create

          XBRLPlugInProcessor create()
                                     throws com.rs.lic.LicenseVerificationException,
                                            XBRLValidationException

      Creates a new instance of the processor or gets the registered instance from the DTSContainer. Is is convenient if this method invokes a static method on the processor with the following definition:

           public static XXXXX create(DTSContainer dts)

      where XXXXX is the type of the processor that will be created and implements the XBRLPlugInProcessor interface
      Returns:
        XBRLPlugInProcessor
      Throws:
        `com.rs.lic.LicenseVerificationException` - If the user has no rights to use the processor
        `XBRLValidationException` - If the processor just created raises static validation errors while loading the DTS

    - #### setDTSContainer

          void setDTSContainer(DTSContainer dtsContainer)

      Once a new factory is instantiated, the DTSContainer class calls this method in order to provide the DTSContainer instance to be used for next calls.
      Parameters:
        `dtsContainer` - the DTSContainer instance to be used on next calls

    - #### getProcessorName

          java.lang.String getProcessorName()

      Returns the processor name this factory class is able to create processor for.
      Returns:
        String representing the processor name

    - #### getProcessorDescription

          java.lang.String getProcessorDescription()

      Returns the processor description for the processor name.
      Returns:
        String text about processor description